/*? ----------------------- ?*/
/*? --- CODE BY ATERLAB --- ?*/
/*? ----------------------- ?*/

/** ELEMENTS */

/** Hero section */

#top {
    height: 0;
    width: 0;
    transform: translateY(-40px);
}

#hero {
    position: static;
    height: calc(100dvh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    margin-top: 0;
    transform: translateY(-20px);
}

.hero-wrapper {
    position: fixed;
    height: calc(100dvh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    margin-top: 0;
    transform: translateY(-20px);
}

#hero h1 {
    width: calc(100dvw - (var(--margin) * 2));
    font-size: 17.25vw;
    letter-spacing: -0.06em;
    margin: 0;
    white-space: nowrap;
}

#hero h2 {
    position: absolute;
    top: 17.25vw;
    font-family: 'Instrument sans', serif;
    font-weight: 500;
    right: 0;
}

.bottom {
    position: absolute;
    bottom: var(--margin);
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    border: 1px solid rgba(255, 166, 0, 0);
    width: calc(100dvw - (var(--margin) * 2));
}

.bottom .info {
    gap: var(--margin);
    display: flex;
    flex-direction: column;
    max-width: 50%;
}

.bottom #projects-hero #showreel {
    max-width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    height: auto;
    aspect-ratio: 1.618 / 1;
    border-radius: 9.5px;
    position: relative;
    display: flex;
    /*TODO experiment with alignment */
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.bottom #projects-hero #showreel .showreel-content {
    max-width: 100%;
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    max-height: calc((((100dvw - 260px) / 12) * 4 + 60px) / 1.618);
    height: calc((((100dvw - 260px) / 12) * 4 + 60px) / 1.618);
    object-fit: cover;
    position: relative;
    left: 0;
}

.bottom #projects-hero #showreel #playBtn {
    position: absolute;
    /* box-shadow: 0 0 40px 5px var(--dark); */
}

/** Projects section */

.projects-wrapper {
    height: calc(100dvh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    border-radius: 9.5px;
    overflow: hidden;
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    z-index: 0;
}

.projects-wrapper .images img {
    height: calc(100vh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    object-fit: cover;
    z-index: 1;
    position: absolute;
    z-index: var(--index, 1);
    transition: 0.5s ease;
}

.projects-wrapper .images img:not(.acitve) {
    opacity: 0%;
}

.project-info .text {
    transition: 0.5s ease;
    z-index: 0;
}

.project-info .text:not(.active) {
    opacity: 0;
}

.projects-wrapper .images img.active {
    opacity: 100%;
}

.projects-wrapper .images {
    position: absolute;
    overflow: hidden;
    height: calc(100dvh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    border-radius: 9.5px;
}

.project-info {
    position: static;
    z-index: 14;
    display: flex;
    flex-direction: row;
    gap: 0;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: left;
    margin: 0 0 var(--margin) var(--margin);
}

.project-info .counter {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 3.5px;
}

.project-info .counter .dot {
    width: 7px;
    height: 7px;
    background-color: var(--light);
    opacity: 50%;
    border-radius: 5px;
    transition: 0.25s ease;
}

.project-info .counter .dot:hover {
    width: calc(7px * var(--button-height-multiplier));
    cursor: pointer;
}

.project-info .counter:has(.dot:hover) .dot.active:not(:hover) {
    width: 7px;
}

.project-info .counter .dot.active {
    width: calc(7px * var(--button-height-multiplier));
    height: calc(7px * 1.2);
    opacity: 100%;
    pointer-events: none;
}

.project-info .x-big-text {
    /* max-width: calc(50dvw - var(--margin)); */
    margin-top: var(--margin);
    white-space: nowrap;
}

.project-info .medium-text {
    max-width: calc(50dvw - var(--margin));
    margin: var(--margin) 0 var(--margin) 0;
}

.gradient-overlay {
    height: calc(100dvh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    position: absolute;
    background-color: var(--dark);
    z-index: 13;
    background: #1D1D1D;
    background: linear-gradient(224deg, rgba(29, 29, 29, 0) 50%, rgba(29, 29, 29, 1) 100%);
    opacity: 100%;
    pointer-events: none;
}

.project-info .texts {
    position: relative;
}

.project-info .text#static {
    position: static;
}

.project-info .text {
    position: absolute;
    bottom: 0;
    pointer-events: none;
}

.project-info button#static {
    position: static;
}

.project-info button:not(#static) {
    position: absolute;
    left: var(--margin);
}

.project-info .buttons button.active {
    opacity: 1;
}

.project-info .buttons button:not(.active) {
    opacity: 0;
    animation: none;
    transform: none;
    scale: 1;
    filter: none;
    pointer-events: none;
}

.project-info .buttons button:not(#static) {
    margin-left: 0;
    left: 0;
}

.project-info .buttons button:not(#static),
.project-info .texts .text:not(#static) {
    transform: translateY(var(--margin));
}

/* Arrows */

.right-info button {
    position: static;
    margin: 0;
}

.right-info {
    padding: 0;
    display: flex;
    position: absolute;
    bottom: var(--margin);
    right: var(--margin);
    gap: calc(var(--margin) / 2);
}

.arrow {
    height: calc((var(--x-small) * var(--button-height-multiplier)) * 2);
    width: calc((var(--x-small) * var(--button-height-multiplier)) * 2);
    background-color: var(--light);
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border-radius: 100%;
    transition: 0.25s ease;
    cursor: pointer;
}

.arrow .interaction-wrapper {
    transform: translateX(7px);
    display: flex;
    overflow: hidden;
    max-width: 25px;
}

.arrow .interaction-wrapper .x-small-text {
    transition: 0.25s ease;
}

.arrow:hover .interaction-wrapper .x-small-text {
    transform: translateX(-100%);
}

.arrow:hover {
    filter: brightness(80%);
    scale: 0.9;
}

.arrow:active {
    filter: brightness(60%);
    scale: 0.85;
    transition: 0.1s ease;
}

.arrow .x-small-text {
    display: flex;
    align-items: center;
    justify-content: center;
}

.arrow .x-small-text svg {
    fill: var(--dark)
}

.arrow#next .interaction-wrapper,
.arrow#playBtn .interaction-wrapper {
    transform: translateX(10px);
}

/** About section */

#about {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

#about .about-text-wrapper {
    position: absolute;
    z-index: 3;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--margin);
}

#about .big-text {
    text-align: center;
    max-width: calc(75dvw - var(--margin));
    margin: 0;
}

#about .small-text {
    margin: 0;
    font-weight: 500;
}

.shadow {
    width: calc(75dvw - var(--margin));
    height: 400px;
    position: absolute;
    background-color: var(--dark);
    border: 1px solid orange;
    z-index: 2;
    filter: blur(100px);
    opacity: 75%;
    border-radius: 100dvw;
}

#about .images {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: var(--margin, 20px);
    position: relative;
    will-change: transform;
    bottom: -100%;
    z-index: 1;
}

#about .images img {
    width: calc((100vw - 260px) / 6 + 20px);
    height: calc(((100vw - 260px) / 6 + 20px) * 1.618);
    border-radius: 9.5px;
    object-fit: cover;
}

#image-2,
#image-4 {
    transform: translateY(400px);
}

#image-6 {
    transform: translateY(600px);
}

/** Services section */

#services {
    height: fit-content;
    min-height: calc(100dvh - (var(--margin) * 2));
    position: relative;

    display: grid;
    grid-template-columns: calc(50dvw - (var(--margin) / 2)) calc(50dvw - (var(--margin) / 2));
}

#services h2 {
    margin: 0;
}

#services .table {
    gap: var(--margin);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;

    position: relative;
    right: 0;
    margin: 0;
    top: 0;
    width: 100%;
    overflow: hidden;
}

#services .table .break {
    width: calc(50dvw - (var(--margin) * 2));
    height: 1px;
    background-color: var(--light);
    opacity: 50%;
}

#services .table .medium-text {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
}

#services .table .medium-text .x-small-text {
    margin-right: calc(var(--margin) / 2);
}

#services .text-group {
    position: relative;
}

#services .text-group .medium-text {
    top: calc(100dvh - 56.18px - 100px);
    position: absolute;
}

/* #services {
    position: relative;
    overflow: hidden;
}

#services .text-wrapper {
    position: relative;
    top: calc((var(--margin) * 1) + (var(--x-small) * var(--button-height-multiplier)));
    display: flex;
    flex-direction: column;
    gap: var(--margin);
}

#services .big-text {
    max-width: calc(75dvw - (var(--margin) * 1.5));
}

#services .categories {
    position: absolute;
    bottom: 0;
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    width: fit-content;
    gap: var(--margin);
    z-index: 1 !important;
}

#services .category {
    width: clamp(300px, calc((100vw - 260px) / 4 + 40px), 400px);
    height: auto;
    aspect-ratio: 1 / 1;
    background-color: #2E2D2B;
    border-radius: 9.5px;
    display: flex;
    flex-direction: column;
    position: relative;
    align-items: center;
    justify-content: center;
    padding: 0;
}

#services .category img {
    height: 60%;
    width: auto;
    position: absolute;
    top: auto;
    left: auto;
    transform: translateY(-10px);
}

#services .category .medium-text {
    position: absolute;
    bottom: var(--margin);
    left: auto;
    white-space: nowrap;
}

#services .category .number {
    position: absolute;
    top: var(--margin);
    right: var(--margin);
}

#services .gradients .gradient {
    position: absolute;
    height: clamp(300px, calc((100vw - 260px) / 4 + 40px), 400px);
    width: calc(((var(--x-small) * 1.618) + (var(--margin) * 4)));
    background: linear-gradient(-90deg, rgba(29, 29, 29, 0) 0%, rgba(29, 29, 29, 1) 100%);
    bottom: 0;
    z-index: 2;
}

#services .gradients {
    pointer-events: none;
}

#services .gradients #gradient-left {
    left: 0;
}

#services .gradients #gradient-right {
    right: 0;
    rotate: 180deg;
}

#drag-cursor {
    border-radius: 100%;
    height: 50px;
    width: 50px;
    background-color: var(--light);
    color: var(--dark);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    filter: blur(10px);
    transition: width 0.25s ease, height 0.25s ease, opacity 0.25s ease, filter 0.25s ease;
    position: fixed;
    z-index: 9999;
    will-change: opacity, height, width, filter;
    pointer-events: none;
}

#drag-cursor.hovering {
    opacity: 1;
    height: 150px;
    width: 150px;
    filter: brightness(100%) blur(0px);
}

body:active #drag-cursor.hovering {
    height: calc(150px * 0.85);
    width: calc(150px * 0.85);
    filter: brightness(60%) blur(0px);
} */

/** Collabs */

/* #collabs {
    height: fit-content;
}

#collabs .spacing-wrapper .medium-text {
    color: #43413E;
    text-align: center;
}

#collabs .spacing-wrapper .gradient {
    position: absolute;
    height: 100%;
    width: calc(((var(--x-small) * 1.618) + (var(--margin) * 4)));
    background: linear-gradient(-90deg, rgba(29, 29, 29, 0) 0%, rgba(29, 29, 29, 1) 100%);
    bottom: 0;
    top: 0;
    left: 0;
    right: auto;
    z-index: 2;
}

#collabs .spacing-wrapper .gradient#right {
    left: auto;
    right: 0;
    rotate: 180deg;
}

#collabs .spacing-wrapper {
    display: flex;
    flex-direction: column;
    gap: var(--margin);
    margin-top: calc(var(--margin) * 4);
    margin-bottom: calc(var(--margin) * 4);
    position: relative;
    overflow: hidden;
}


#collabs .spacing-wrapper .marquee {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 0;
    position: relative;
    z-index: 1;
    width: max-content;
    overflow: hidden;
    animation: marqueeMove 25s linear infinite;
}

.marquee-set {
    display: flex;
    align-items: center;
    gap: calc(var(--margin) * 3);
    overflow: hidden;
}

.marquee-set:nth-of-type(1) {
    margin-right: calc(var(--margin) * 2);
}

@keyframes marqueeMove {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(calc(-50% - (var(--margin) * 1)));
    }
}

#collabs .spacing-wrapper .marquee svg {
    height: calc(var(--margin) * 2);
    width: auto;
} */

/** Reviews section */

#reviews {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}

/* #reviews .shadow {
    background-color: var(--light);
} debug */

#reviews h2 {
    color: var(--light);
    opacity: 0.25;
    font-size: 8.2vw;
    font-weight: 500;
    letter-spacing: -0.04em;
    z-index: 3;
    position: absolute;
}

/* #reviews,
#reviews .reviews * {
    border: 1px solid red;
}

#reviews .reviews {
    border: 1px solid orange;
} */

#reviews .reviews {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: 1fr;
    gap: var(--margin);
    position: relative;
    will-change: transform;
    bottom: calc(-130% + (var(--margin) * -1));
    z-index: 4;
    height: calc(100dvh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    /* box-shadow: 0px 0px 100px 50px var(--dark); The reviews shadows were overlaping, so instead I added one shadow behind the reviews layer*/
    /* filter: drop-shadow(0 0 5px var(--dark)) drop-shadow(0 0 10px var(--dark)) drop-shadow(0 0 20px var(--dark)) drop-shadow(0 0 30px var(--dark)) drop-shadow(0 0 50px var(--dark)); */
    /* filter: drop-shadow(0 0 50px var(--dark)); */
}

/* #reviews .reviews,
#reviews .reviews .review,
#reviews .reviews .review * {
    border: 1px solid rgba(255, 166, 0, 0.112);
} */

#reviews .reviews .review {
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    height: 100%;
    border-radius: 9.5px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    gap: var(--margin);
    background-color: #2E2D2B;
    border-radius: calc(var(--margin) * 1);
    padding: calc(var(--margin) * 1);
    margin: 0;
    transition: transform 0.25s ease, scale 0.25s ease, filter 0.25s ease, opacity 0.25s ease, color 0.25s ease, background-color 0.25s ease;
}

#reviews #bottom-gradient-blur,
#about #bottom-gradient-blur {
    opacity: 100%;
    position: absolute;
    background: linear-gradient(180deg, rgba(29, 29, 29, 0) 0%, rgba(29, 29, 29, 1) 90%);
}

#reviews .reviews .review:hover {
    background-color: var(--light);
    color: var(--dark);
}

#reviews .reviews .review:hover .reviewer .profile-picture {
    outline: 2px solid var(--dark);
}

#reviews .reviews .review:hover .stars svg {
    fill: var(--dark);
}

#reviews .reviews .review .big-text {
    margin-top: 0;
}

#reviews .reviews .review .stars {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: calc(var(--margin) / 4);
}

#reviews .reviews .review .stars svg {
    width: calc(var(--margin) / var(--button-height-multiplier));
    height: auto;
    transition: fill 0.25s ease;
    fill: var(--light);
}

#reviews .reviews #rev2,
#reviews .reviews #rev5 {
    transform: translateY(-30%);
}

#reviews .review .reviewer {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 5px;
}

#reviews .review .reviewer .profile-picture {
    height: var(--medium-text);
    width: var(--medium-text);
    border-radius: 100%;
    outline: 2.3px solid var(--light);
    outline-offset: -2.3px;
    transition: outline 0.25s ease;
}

.reviews-arrows {
    /* mobile arrows */
    display: none;
}

/** Contact section */

#contact {
    overflow: hidden;
    border-radius: 9.5px;
    height: calc(100dvh - (var(--margin) * 2));
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#contact .big-text {
    color: var(--dark);
    text-align: center;
}

#contact .texts {
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#contact .bg {
    height: calc(100dvh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    position: absolute;
    z-index: 1;
}

#contact .bg .rect {
    width: calc(100dvw - (var(--margin) * 2));
    background-color: var(--light);
    position: absolute;
    bottom: 0;
    border-radius: 100% 100% 0 0;
}

#contact .bg .rect-blur {
    height: calc(100dvh - (var(--margin) * 2));
    width: calc(100dvw - (var(--margin) * 2));
    position: absolute;
    backdrop-filter: blur(200px);
}

#contact .contact-card {
    background-color: var(--dark);
    color: var(--light);
    z-index: 3;
    position: absolute;
    padding: var(--margin);
    width: calc(((100dvw - 260px) / 12) * 4 + 60px);
    height: auto;
    aspect-ratio: 1.618 / 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    border-radius: var(--margin);
    box-shadow: 0px 0px 75px 100px var(--light);
}

#contact .contact-card .contact-top {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: start;
    gap: calc(var(--margin) / 2);
}

#contact .contact-card .medium-text,
#contact .contact-card .medium-text a {
    margin: 0;
}

#contact .contact-card a:not(.btn) {
    color: var(--light);
    text-decoration: auto solid underline var(--light);
    cursor: pointer;
    font-size: var(--medium-text);
}

#contact .gradient-blur {
    background: linear-gradient(180deg, rgba(249, 241, 231, 0) 0%, rgba(249, 241, 231, 1) 90%);
}

/** Footer section */

#footer {
    /* height: fit-content; */
    position: relative;
    max-height: calc(100dvh - (var(--margin) * 2));
    overflow: hidden;
}

#footer .footer-bottom #footer-headline {
    font-size: 16.6dvw;
    margin: 0;
    letter-spacing: -0.04em;
    border: 1px solid rgba(255, 166, 0, 0);
    line-height: 16.5dvw;
    font-weight: 600;
}

#footer .footer-bottom {
    position: absolute;
    bottom: var(--margin);
    width: calc(100dvw - (var(--margin) * 2));
}

#footer .footer-bottom .left,
#footer .footer-bottom .right {
    position: absolute;
}

#footer .footer-bottom .left {
    left: 0;
}

#footer a {
    color: var(--light);
    text-decoration: auto solid var(--light) underline;
}

#footer .footer-bottom .right {
    right: 0;
}

#footer .footer-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: calc(100dvw - (var(--margin) * 2));
    border: 1px solid rgba(255, 0, 0, 0);
}

#footer .footer-top .btn {
    color: var(--dark);
}

/** Responsiveness */

.content-wrapper {
    display: block;
    pointer-events: all;
}

/* .content-wrapper {
    overflow: visible !important;
    width: 100dvw !important;
}

body {
    overflow: visible;
    width: 100dvw;
    margin-left: 0;
} */

@media screen and (max-width: 767px) {
    body {
        margin: var(--margin) var(--margin) var(--margin) 0;
        /* Margin is all except left */
    }

    #bottom-gradient-blur {
        display: none;
    }

    .content-wrapper {
        display: block;
        pointer-events: all;

        /* display: none;
        pointer-events: none; */

        margin-left: var(--margin);
    }

    /** Components */

    :root {
        --x-small: 10px;
        --small: 13px;
        --medium-text: 16px;
        --big: 24px;
        --x-big: 40px;
    }

    .column#mobile-hidden {
        display: none;
    }

    .column {
        width: calc((100dvw - (3 * var(--margin))) / 4);
    }

    /* nav .right {
        display: none;
    } */

    nav .logo {
        max-width: 80.15px;
    }

    nav .logo:hover {
        width: 130px;
        max-width: 130px;
        scale: 1;
    }

    button::after {
        box-shadow: inset 0 0 0 3px var(--light);
    }


    /** Hero section */

    #projects-hero {
        display: none;
    }

    #hero h1 {
        font-size: 22vw;
        white-space: wrap;
        line-height: 100%;
        transform: translateY(var(--margin));
    }

    #hero h2 {
        top: calc(44vw);
        left: 0;
        right: auto;
        transform: translateY(var(--margin));
    }

    #hero {
        margin-top: 0;
    }

    .info,
    #desc {
        max-width: calc(100dvw - (var(--margin) * 2));
        width: calc(100dvw - (var(--margin) * 2));
        /* text-align: center; */
    }

    /* .bottom,
    .info {
        display: flex;
        flex-direction: column;
        align-items: center;
    } */

    .hero-wrapper {
        position: static;
        margin-top: calc(var(--margin) * 3);
    }


    /** Projects section */

    .gradient-overlay {
        background: linear-gradient(224deg, rgba(29, 29, 29, 0) 0%, rgba(29, 29, 29, 1) 100%);
    }

    .project-info,
    .project-info .medium-text,
    .project-info .x-big-text {
        max-width: calc(100dvw - (var(--margin) * 4));
        width: calc(100dvw - (var(--margin) * 4));
    }

    .project-info .x-big-text {
        font-size: var(--big);
    }

    .project-info {
        position: relative;
    }

    .right-info {
        position: absolute;
        margin-top: var(--margin);
        left: 0;
        bottom: 0;
    }

    .left-info {
        bottom: calc((var(--x-small) * var(--button-height-multiplier)) + (var(--margin) * 1));
        position: absolute;
    }

    .right-info .arrow#prev .interaction-wrapper {
        transform: translateX(2px);
    }

    .right-info .arrow#next .interaction-wrapper {
        transform: translateX(5px);
    }

    /** About section */

    #about .images {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: var(--margin, 20px);
        position: relative;
        will-change: transform;
        bottom: -100%;
        z-index: 1;

        display: none;
    }

    #about .big-text {
        max-width: calc(100dvw - (var(--margin) * 2));
    }

    #about .images img {
        width: calc((100dvw - (var(--margin) * 2)) / 2 - 10px);
        height: calc(((100dvw - (var(--margin) * 2)) / 2 - 10px) * 1.618);
        border-radius: 9.5px;
        object-fit: cover;
        grid-column: span 2;
    }

    #about .images #image-2,
    #about .images #image-4,
    #about .images #image-5,
    #about .images #image-6 {
        display: none;
    }

    /** Services section */

    #services {
        display: block;
    }

    #services .table .break {
        width: 100%;
    }

    #services .big-text {
        margin-bottom: var(--margin);
    }

    #services .table {
        gap: calc(var(--margin) / 2);
    }

    /* #services .big-text {
        max-width: calc(100dvw - (var(--margin) * 2));
        font-size: var(--big);
    }

    #drag-cursor {
        display: none;
    }

    #services .category {
        width: clamp(225px, calc((100vw - 260px) / 4 + 40px), 400px);
        height: auto;
    } */

    /* #services .categories,
    #services .categories-wrapper {
        width: calc(((13 * 300px) + (12 * var(--margin))) - 90px);
    } */

    /** Reviews section */

    #reviews,
    #reviews * {
        border: 1px solid rgba(255, 166, 0, 0);
    }

    #reviews {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        pointer-events: all;
        z-index: 0;
    }

    #reviews .reviews {
        gap: var(--margin);
        display: flex;
        width: calc(100dvw - (var(--margin) * 2));
        position: relative;
        align-items: center;
        justify-content: center;
        top: auto;
        bottom: 0;

        /*TODO height: auto; */
    }

    #reviews .reviews .medium-text {
        font-size: var(--small);
    }

    #reviews .reviews #rev1,
    #reviews .reviews #rev2,
    #reviews .reviews #rev3,
    #reviews .reviews #rev4,
    #reviews .reviews #rev5,
    #reviews .reviews #rev6 {
        transform: translateY(0);
    }

    /* #reviews *,
    #reviews {
        border: 1px solid var(--light);
    } */

    .review {
        position: absolute;
        min-width: calc(100dvw - (var(--margin) * 2));
        max-width: calc(100dvw - (var(--margin) * 2));
        height: fit-content;
        max-height: 58.5vh;
        min-height: none;
        top: auto;
        bottom: auto;
    }

    #reviews #bottom-gradient-blur {
        display: none;
    }

    #reviews h2 {
        top: calc(var(--margin) * 2);
        position: absolute;
        z-index: 5;
    }

    .reviews-arrows {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: calc(var(--margin) / 2);
        position: absolute;
        bottom: var(--margin);
        z-index: 5;
    }

    #prev-rev .interaction-wrapper {
        transform: translateX(0px);
    }

    #next-rev .interaction-wrapper {
        transform: translateX(4px);
    }

    .review {
        transition: transform 0.5s ease, scale 0.5s ease, filter 0.5s ease, opacity 0.4s ease;
    }

    .review.active {
        scale: 1;
        opacity: 1;
        transform: translateY(0);
        filter: blur(0px);
        z-index: 2;
    }

    .review:not(.active) {
        scale: 0.9;
        opacity: 0;
        transform: translateY(40px);
        filter: blur(10px);
        z-index: 1;
    }

    #reviews .reviews .review:hover {
        background-color: #2E2D2B;
        color: var(--light);
    }

    #reviews .reviews .review:hover .stars svg {
        fill: var(--light);
    }

    /** Contact section */

    #contact .contact-card {
        width: calc(100dvw - (var(--margin) * 4));
        height: auto;
        aspect-ratio: 1.618 / 1;
        box-shadow: none;
    }

    #contact .bg .rect,
    #contact .bg .rect-blur {
        border-radius: var(--margin);
    }

    #contact .bg .rect {
        height: calc(100dvh - (var(--margin) * 2));
    }

    #contact {
        position: relative;
    }

    #contact .texts {
        top: var(--margin);
        position: absolute;
    }

    /** Footer */

    #footer .footer-bottom h1 {
        font-size: 15.1dvw;
    }

    #footer .footer-bottom a {
        text-decoration: auto solid var(--light) underline;
    }

    #footer .footer-bottom .left,
    #footer .footer-bottom .right {
        position: static;
        transform: translateY(20px);
    }

    #footer .footer-bottom {
        display: flex;
        flex-direction: column;
    }
}